# schema_salad.jsonld_context

## Functions

`pred`(datatype, field, name, context, defaultBase, ...) |
`process_type`(t, g, context, defaultBase, namespaces, ...) |
`salad_to_jsonld_context`(j, schema_ctx) |
`fix_jsonld_ids`(obj, ids) | Add missing identity entries.
`makerdf`(workflow, wf, ctx[, graph]) |

## Module Contents

schema_salad.jsonld_context.pred(datatype, field, name, context, defaultBase, namespaces)
  Parameters:

    - datatype (collections.abc.MutableMapping[str, dict[str, str] | str])

    - field (dict[str, Any] | None)

    - name (str)

    - context (schema_salad.utils.ContextType)

    - defaultBase (str)

    - namespaces (dict[str, rdflib.namespace.Namespace])

  Return type:

    dict[str, str | None] | str

schema_salad.jsonld_context.process_type(t, g, context, defaultBase, namespaces, defaultPrefix)
  Parameters:

    - t (collections.abc.MutableMapping[str, Any])

    - g (rdflib.Graph)

    - context (schema_salad.utils.ContextType)

    - defaultBase (str)

    - namespaces (dict[str, rdflib.namespace.Namespace])

    - defaultPrefix (str)

  Return type:

    None

schema_salad.jsonld_context.salad_to_jsonld_context(j, schema_ctx)
  Parameters:

    - j (collections.abc.Iterable[collections.abc.MutableMapping[str, Any]])

    - schema_ctx (collections.abc.MutableMapping[str, Any])

  Return type:

    tuple[schema_salad.utils.ContextType, rdflib.Graph]

schema_salad.jsonld_context.fix_jsonld_ids(obj, ids)

  Add missing identity entries.

  Parameters:

    - obj (ruamel.yaml.comments.CommentedMap | float | str | ruamel.yaml.comments.CommentedSeq)

    - ids (list[str])

  Return type:

    None

schema_salad.jsonld_context.makerdf(workflow, wf, ctx, graph=None)
  Parameters:

    - workflow (str | None)

    - wf (ruamel.yaml.comments.CommentedMap | float | str | ruamel.yaml.comments.CommentedSeq)

    - ctx (schema_salad.utils.ContextType)

    - graph (rdflib.Graph | None)

  Return type:

    rdflib.Graph